> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/configure-vmware-powercli-for-use-by-remote-desktop-manager.md).

# Configure VMware PowerCLI for use by Remote Desktop Manager

The [VMware PowerCLI](http://www.vmware.com/support/developer/PowerCLI/index.html) is used by Remote Desktop Manager to interact with vSphere/vCenter in three distinct cases:

* Getting the list of virtual machines from a vSphere/vCenter
* Performing operations on these virtual machines (start, stop, etc)
* Launching a VMware Remote Console

  <div data-gb-custom-block data-tag="hint" data-style="warning" class="hint hint-warning"><p>Some operations are not allowed on the Free edition of VMware Esxi. All operations acting on the state of the virtual machine need the vSphere API license.</p></div>

As a service to our community, we provide the procedure to get the PowerCLI up and running. Please remember that this is not a product of Devolutions and that we have no control over breaking changes that may occur between versions of the PowerCLI. You should always refer to the manufacturer's documentation.

### Procedure

{% hint style="warning" %}
This procedure is valid for version 6.5 of VMware's PowerCLI.

The bitness of both Remote Desktop Manager and the PowerCLI must be taken into account for this procedure. Since these steps are performed only once, we would recommend that you follow the procedure for BOTH the 32 bit and the 64 bit editions of the PowerCLI.
{% endhint %}

1. Ensure that PowerShell's script execution policy is configured. Please refer to Script Execution Policy.
2. Launch VMware vSphere PowerCLI using the shortcut on your system, this is the 64 bit version (using ***Run As Administrator***).
3. Launch VMware vSphere PowerCLI (32-bit), adjust both windows side by side(using ***Run As Administrator***).
4. In both windows, set the SSL certificate setting of your choice. Obviously deploying a valid certificate on the vSphere server and trusting the Certification Authority is the most secure route. In secure environments or in a low-risk setting, we simply set to ignore. `set-PowerCLIConfiguration -invalidCertificateAction "ignore" -confirm:$false`
5. Connect to a vSphere/vCenter server. If there are prompts by the PowerCLI, respond accordingly. `Connect-VIServer {your server}`
6. Run the following command to see if there are error messages: `Get-View -ViewType VirtualMachine | select -Property Name, {$_.Moref.Value};`

If you see no error messages, you can close both PowerCLIs and you are now ready to test it using Remote Desktop Manager.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/configure-vmware-powercli-for-use-by-remote-desktop-manager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
